Package: groovy.swing.factory

## [Groovy] Class TableFactory

- groovy.swing.factory.TableFactory

-     class TableFactory
      extends BeanFactory

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BeanFactory` | `leaf`

  - Inherited properties
    Properties inherited from class | Properties
    --- | ---
    `class BeanFactory` | `beanClass`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TableFactory()`
    `TableFactory(Class klass)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
    `` | `void` | `setChild(FactoryBuilderSupport builder, Object parent, Object child)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BeanFactory` | `isLeaf, newInstance`
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`

- - ### Constructor Detail

    - #### TableFactory()

    - #### TableFactory(Class klass)

  - ### Method Detail

    - #### Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

    - #### void setChild(FactoryBuilderSupport builder, Object parent, Object child)